openSUSE Security Update : strongswan (openSUSE-2015-810)

medium Nessus Plugin ID 87083

Synopsis

The remote openSUSE host is missing a security update.

Description

The strongswan package was updated to fix the following security issue :

- CVE-2015-8023: Fixed an authentication bypass vulnerability in the eap-mschapv2 plugin (bsc#953817).

Solution

Update the affected strongswan packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=953817

Plugin Details

Severity: Medium

ID: 87083

File Name: openSUSE-2015-810.nasl

Version: 2.3

Type: local

Agent: unix

Published: 11/30/2015

Updated: 1/19/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.4

CVSS v2

Risk Factor: Medium

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:strongswan, p-cpe:/a:novell:opensuse:strongswan-debugsource, p-cpe:/a:novell:opensuse:strongswan-hmac, p-cpe:/a:novell:opensuse:strongswan-ipsec, p-cpe:/a:novell:opensuse:strongswan-ipsec-debuginfo, p-cpe:/a:novell:opensuse:strongswan-libs0, p-cpe:/a:novell:opensuse:strongswan-libs0-debuginfo, p-cpe:/a:novell:opensuse:strongswan-mysql, p-cpe:/a:novell:opensuse:strongswan-mysql-debuginfo, p-cpe:/a:novell:opensuse:strongswan-nm, p-cpe:/a:novell:opensuse:strongswan-nm-debuginfo, p-cpe:/a:novell:opensuse:strongswan-sqlite, p-cpe:/a:novell:opensuse:strongswan-sqlite-debuginfo, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 11/25/2015

Reference Information

CVE: CVE-2015-8023